﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

using Infragistics.Web.Mvc;
using System.Data;
using TestMvcProject.Models;

namespace TestMvcProject.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/
        [GridDataSourceAction]
        public ActionResult Index()
        {
            igGridModel  grdModel = new igGridModel {
            TestViewModelGridModel = GetGridModel()
            };

          
            //grdModel.Features.Add(gridGroup);

            return View(grdModel);
        }


        private GridModel GetGridModel()
        {
            var orders = Order.GetProductData().AsQueryable();
            GridModel model = new GridModel();
            model.ID = "grid1";
            model.PrimaryKey = "OrderID";
            model.DataSource = orders;

            GridSelection selection = new GridSelection();
            selection.MultipleSelection = false;
            model.Features.Add(selection);
            
            //GridGroupBy groupBy = new GridGroupBy();
            //GroupByColumnSetting colSet = new GroupByColumnSetting();
            //colSet.ColumnKey = "OrderID";
            //colSet.IsGroupBy = true;
            //groupBy.ColumnSettings.Add(colSet);
            //model.Features.Add(groupBy);

            return model;
        }

        private DataTable ExampleData()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("OrderID", typeof(int));
            dt.Columns.Add("CustomerID", typeof(string));
            dt.Columns.Add("Name0", typeof(string));
            dt.Columns.Add("Name1", typeof(string));

            for (int i = 0; i <= 5; i++)
            {
                DataRow dr = dt.NewRow();
                dr["OrderID"] = i;
                dr["CustomerID"] = "A";
                dr["Name0"] = "Name0";
                dr["Name1"] = "Name1";
                dt.Rows.Add(dr);
            }

            for (int i = 6; i <= 10; i++)
            {
                DataRow dr = dt.NewRow();
                dr["OrderID"] = i;
                dr["CustomerID"] = "B";
                dr["Name0"] = "Name0";
                dr["Name1"] = "Name1";
                dt.Rows.Add(dr);
            }
            return dt;
        }
    }
}
